
MEMORY
{
PAGE 0 :  /* Program Memory */
          /* Memory (RAM/FLASH) blocks can be moved to PAGE1 for data allocation */
          /* BEGIN is used for the "boot to Flash" bootloader mode   */

   BEGIN           	: origin = 0x080000, length = 0x000002
   RAMM0           	: origin = 0x000122, length = 0x0002DE

   RESET           	: origin = 0x3FFFC0, length = 0x000002

   /* Flash sectors */
   FLASH           : origin = 0x080002, length = 0x03FFFE	/* on-chip Flash */
   //FLASHA           : origin = 0x080002, length = 0x001FFE	/* on-chip Flash */
   //FLASHB           : origin = 0x082000, length = 0x002000	/* on-chip Flash */
   //FLASHC           : origin = 0x084000, length = 0x002000	/* on-chip Flash */
   //FLASHD           : origin = 0x086000, length = 0x002000	/* on-chip Flash */
   //FLASHE           : origin = 0x088000, length = 0x008000	/* on-chip Flash */
   //FLASHF           : origin = 0x090000, length = 0x008000	/* on-chip Flash */
   //FLASHG           : origin = 0x098000, length = 0x008000	/* on-chip Flash */
   //FLASHH           : origin = 0x0A0000, length = 0x008000	/* on-chip Flash */
   //FLASHI           : origin = 0x0A8000, length = 0x008000	/* on-chip Flash */
   //FLASHJ           : origin = 0x0B0000, length = 0x008000	/* on-chip Flash */
   //FLASHK           : origin = 0x0B8000, length = 0x002000	/* on-chip Flash */
   //FLASHL           : origin = 0x0BA000, length = 0x002000	/* on-chip Flash */
   //FLASHM           : origin = 0x0BC000, length = 0x002000	/* on-chip Flash */
   //FLASHN           : origin = 0x0BE000, length = 0x002000	/* on-chip Flash */
   FLASHN           : origin = 0x0C0000, length = 0x002000

   PRAMGS      		: origin = 0x00C000, length = 0x008000

PAGE 1 : /* Data Memory */
         /* Memory (RAM/FLASH) blocks can be moved to PAGE0 for program allocation */

   BOOT_RSVD       : origin = 0x000002, length = 0x000120     /* Part of M0, BOOT rom will use this for stack */
   RAMM1           : origin = 0x000400, length = 0x000400     /* on-chip RAM block M1 */

   RAMLS	       : origin = 0x008000, length = 0x003F00
   //RAMLS0          : origin = 0x008000, length = 0x000800
   //RAMLS1          : origin = 0x008800, length = 0x000800
   //RAMLS2      	   : origin = 0x009000, length = 0x000800
   //RAMLS3      	   : origin = 0x009800, length = 0x000800
   //RAMLS4      	   : origin = 0x00A000, length = 0x000800
   //RAMLS5          : origin = 0x00A800, length = 0x000800
   //RAMD0           : origin = 0x00B000, length = 0x000800
   //RAMD1           : origin = 0x00B800, length = 0x000800
   RAMD1_RSVD      : origin = 0x00BF00, length = 0x000100  // JTAG communication buffer

   // we do not utilize any RAMGS RAM, as this memory is used for page 0
   // by the "ram_lnk" configuration

PAGE 2 :
   PIL_SYMBOLS    : origin = 0x000000, length = 0x1000
}

SECTIONS
{
   scope               : > RAMLS

   /* Allocate program areas: */
   .cinit              : > FLASH      PAGE = 0, ALIGN(4)
   .pinit              : > FLASH,     PAGE = 0, ALIGN(4)
   .text               : > FLASH      PAGE = 0, ALIGN(4)
   codestart           : > BEGIN      PAGE = 0, ALIGN(4)
   step                : > FLASH,     PAGE = 0
   dispatch            : > FLASH,     PAGE = 0

   /* Allocate uninitalized data sections: */
   .stack              : > RAMM1        PAGE = 1
   .ebss               : > RAMLS       PAGE = 1
   .esysmem            : > RAMLS       PAGE = 1

   /* Initalized sections go in Flash */
   .econst             : > FLASH      PAGE = 0, ALIGN(4)
   .switch             : > FLASH      PAGE = 0, ALIGN(4)

   .reset              : > RESET,     PAGE = 0, TYPE = DSECT /* not used, */

   GROUP : LOAD = FLASH,
                         RUN = PRAMGS,
                         LOAD_START(_RamfuncsLoadStart),
                         LOAD_SIZE(_RamfuncsLoadSize),
                         LOAD_END(_RamfuncsLoadEnd),
                         RUN_START(_RamfuncsRunStart),
                         RUN_SIZE(_RamfuncsRunSize),
                         RUN_END(_RamfuncsRunEnd),
                         PAGE = 0, ALIGN(4)
   {
  	ramfuncs
  	step
  	dispatcher
  	pillib : {
		-lpil_c28.a(.text)
  	}
#ifdef __TI_COMPILER_VERSION__
#if __TI_COMPILER_VERSION__ >= 15009000
  	.TI.ramfunc
#endif
#endif
   }
}

/*
//===========================================================================
// End of file.
//===========================================================================
*/
