MEMORY
{
PAGE 0 :

   /* BEGIN is used for the "boot to Flash" bootloader mode   */
   BEGIN           	: origin = 0x000000, length = 0x000002
   PRAMGS      		: origin = 0x00C000, length = 0x006000
   RESET           	: origin = 0x3FFFC0, length = 0x000002

   BOOT_RSVD    : origin = 0x000002, length = 0x0000F3     /* Part of M0, BOOT rom will use this for stack */
   RAMM0        : origin = 0x0000F5, length = 0x00030B

PAGE 1 :

   RAMM1        : origin = 0x000400, length = 0x000400     /* on-chip RAM block M1 */

   //RAMLS0       : origin = 0x008000, length = 0x000800
   //RAMLS2       : origin = 0x008000, length = 0x000800
   //RAMLS2       : origin = 0x008800, length = 0x000800
   //RAMLS2       : origin = 0x009000, length = 0x000800
   //RAMLS3       : origin = 0x009800, length = 0x000800
   //RAMLS4       : origin = 0x00A000, length = 0x000800
   //RAMLS5       : origin = 0x00A800, length = 0x000800
   //RAMLS6       : origin = 0x00B000, length = 0x000800
   //RAMLS7      : origin = 0x00B800, length = 0x000800
   RAMLS7_RSVD   : origin = 0x00BF00, length = 0x000100  // JTAG communication buffer

   RAMGS3          : origin = 0x012000, length = 0x002000
}

SECTIONS
{
   scope            : > RAMGS3

   codestart        : > BEGIN,  PAGE = 0
   step             : > PRAMGS,  PAGE = 0
   dispatch         : > PRAMGS,  PAGE = 0
   .text            : > PRAMGS,  PAGE = 0
   .cinit           : > PRAMGS,  PAGE = 0
   .pinit           : > PRAMGS,  PAGE = 0
   .switch          : > PRAMGS,  PAGE = 0
   .econst          : > PRAMGS,  PAGE = 0
   .cio         	: > PRAMGS,  PAGE = 0
   .TI.ramfunc      : > PRAMGS,  PAGE = 0
   .ramfuncs        : > PRAMGS,  PAGE = 0

   .stack           : > RAMM1,    PAGE = 1
   .ebss            : > RAMGS3,    PAGE = 1
   .esysmem         : > RAMGS3,    PAGE = 1

   .reset           : > RESET,     PAGE = 0, TYPE = DSECT /* not used, */
 }
