
MEMORY
{
PAGE 0 :  /* Program Memory */
          /* Memory (RAM/FLASH) blocks can be moved to PAGE1 for data allocation */
          /* BEGIN is used for the "boot to Flash" bootloader mode   */

   BEGIN           	: origin = 0x000000, length = 0x000002
   RAMM0           	: origin = 0x000122, length = 0x0002DE

   PRAMGS      		: origin = 0x00C000, length = 0x008000

   RESET           	: origin = 0x3FFFC0, length = 0x000002

PAGE 1 : /* Data Memory */
         /* Memory (RAM/FLASH) blocks can be moved to PAGE0 for program allocation */

   BOOT_RSVD       : origin = 0x000002, length = 0x000120     /* Part of M0, BOOT rom will use this for stack */
   RAMM1           : origin = 0x000400, length = 0x000400     /* on-chip RAM block M1 */

   RAMLS	       : origin = 0x008000, length = 0x003F00
   //RAMLS0          : origin = 0x008000, length = 0x000800
   //RAMLS1          : origin = 0x008800, length = 0x000800
   //RAMLS2      	   : origin = 0x009000, length = 0x000800
   //RAMLS3      	   : origin = 0x009800, length = 0x000800
   //RAMLS4      	   : origin = 0x00A000, length = 0x000800
   //RAMLS5          : origin = 0x00A800, length = 0x000800
   //RAMD0           : origin = 0x00B000, length = 0x000800
   //RAMD1           : origin = 0x00B800, length = 0x000800
   RAMD1_RSVD      : origin = 0x00BF00, length = 0x000100  // JTAG communication buffer
}

SECTIONS
{
   scope            : > RAMLS

   codestart        : > BEGIN,  PAGE = 0
   step             : > PRAMGS,     PAGE = 0
   dispatch         : > PRAMGS,     PAGE = 0
   .text            : > PRAMGS,  PAGE = 0
   .cinit           : > PRAMGS,  PAGE = 0
   .pinit           : > PRAMGS,  PAGE = 0
   .switch          : > PRAMGS,  PAGE = 0
   .econst          : > PRAMGS,  PAGE = 0
   .cio         	: > PRAMGS,  PAGE = 0
   .TI.ramfunc      : > PRAMGS,  PAGE = 0
   ramfuncs         : > PRAMGS,  PAGE = 0


   .stack           : > RAMLS,    PAGE = 1
   .ebss            : > RAMLS,    PAGE = 1
   .esysmem         : > RAMLS,    PAGE = 1

   .reset           : > RESET,     PAGE = 0, TYPE = DSECT /* not used, */
}

/*
//===========================================================================
// End of file.
//===========================================================================
*/
